package com.yc.education.mapper;

import com.yc.education.model.Coom;
import com.yc.education.model.Orders;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CoomMapper extends MyMapper<Coom> {
    List<Coom> getCooms();
    Coom getCoomsById(Integer id);
    void delCoomById(Integer id);
    List<Coom>getCoomId(@Param("cid") Integer cid,@Param("id") Integer id);
    /*通过人数分类查询*/
    List<Coom> getCoomCid(Integer cid);
    /*根据会议室id查询*/
    List<Coom> selCoomid(Integer id);
    /*高级查询*/
    List<Coom> getIdNotIn(@Param("id") Integer id, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("cid") Integer cid);

    /*后台分页查询*/
    List<Coom> getCoomsPage();
}